--- puppet-nodejs-master/manifests/init.pp	2012-10-17 00:11:32.000000000 +0900
+++ /etc/puppet/modules/nodejs/manifests/init.pp	2013-03-15 17:08:20.945361269 +0900
@@ -6,18 +6,27 @@
     }
   }
 
-  package { 'libssl-dev':
-    ensure => present,
-  }
-  package { 'build-essential':
-    ensure => present,
+  case $::operatingsystem {
+    'Ubuntu': { 
+      package { 'libssl-dev':
+        ensure => present,
+      }
+      package { 'build-essential':
+        ensure => present,
+      }
+    }
+    'Fedora', 'RedHat', 'CentOS', 'OEL', 'OracleLinux', 'Amazon': {
+       package { 'openssl':
+        ensure => present,
+      }
+    }
   }
 
   # use nave, yo
   exec { 'nave' :
     command     => "bash -c \"\$(curl -s 'https://raw.github.com/isaacs/nave/master/nave.sh') usemain $version \"",
     path        => [ "/usr/local/bin", "/bin" , "/usr/bin" ],
-    require     => [ Package[ 'curl' ], Package[ 'libssl-dev' ], Package[ 'build-essential' ] ],
+    require     => [ Package[ 'curl' ] ],
     environment => [ 'HOME=""', 'PREFIX=/usr/local/lib/node', 'NAVE_JOBS=1' ],
     logoutput   => $logoutput,
     # btw, this takes forever....
